<html>
<head>
<title>Ogre::MaterialSerializer::Listener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1MaterialSerializer.html">MaterialSerializer</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1MaterialSerializer_1_1Listener.html">Listener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::MaterialSerializer::Listener Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::MaterialSerializer::Listener" -->
<p>Class that allows listening in on the various stages of material serialization process.  
 <a href="classOgre_1_1MaterialSerializer_1_1Listener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::MaterialSerializer::Listener:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1MaterialSerializer_1_1Listener__inherit__graph.gif" border="0" usemap="#Ogre_1_1MaterialSerializer_1_1Listener_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1MaterialSerializer_1_1Listener_inherit__map" id="Ogre_1_1MaterialSerializer_1_1Listener_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1RTShader_1_1SGMaterialSerializerListener.html" title="This class responsible for translating core features of the RT Shader System for Ogre material script..." alt="" coords="5,83,296,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1MaterialSerializer_1_1Listener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer_1_1Listener.html#a13e6cb61dc6c4c5663de032e8d027551">~Listener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer_1_1Listener.html#a12692ae5f00a3012d83342ab7539dadd">materialEventRaised</a> (<a class="el" href="classOgre_1_1MaterialSerializer.html">MaterialSerializer</a> *ser, <a class="el" href="classOgre_1_1MaterialSerializer.html#a237c1a8b1e58e28c793e1c3febc86d4b">SerializeEvent</a> event, bool &amp;skip, const <a class="el" href="classOgre_1_1Material.html">Material</a> *mat)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when material section event raised.  <a href="#a12692ae5f00a3012d83342ab7539dadd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer_1_1Listener.html#ae25d7325accb65561cab814d2731530f">techniqueEventRaised</a> (<a class="el" href="classOgre_1_1MaterialSerializer.html">MaterialSerializer</a> *ser, <a class="el" href="classOgre_1_1MaterialSerializer.html#a237c1a8b1e58e28c793e1c3febc86d4b">SerializeEvent</a> event, bool &amp;skip, const <a class="el" href="classOgre_1_1Technique.html">Technique</a> *tech)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when technique section event raised.  <a href="#ae25d7325accb65561cab814d2731530f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer_1_1Listener.html#a22fbc4529e17ce36172a890868973d6c">passEventRaised</a> (<a class="el" href="classOgre_1_1MaterialSerializer.html">MaterialSerializer</a> *ser, <a class="el" href="classOgre_1_1MaterialSerializer.html#a237c1a8b1e58e28c793e1c3febc86d4b">SerializeEvent</a> event, bool &amp;skip, const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *pass)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when pass section event raised.  <a href="#a22fbc4529e17ce36172a890868973d6c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer_1_1Listener.html#a192341794a44b9096b891b676be06b35">gpuProgramRefEventRaised</a> (<a class="el" href="classOgre_1_1MaterialSerializer.html">MaterialSerializer</a> *ser, <a class="el" href="classOgre_1_1MaterialSerializer.html#a237c1a8b1e58e28c793e1c3febc86d4b">SerializeEvent</a> event, bool &amp;skip, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;attrib, const <a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a> &amp;program, const <a class="el" href="group__Materials.html#gaebab7cecf3f3ae81a1fbfa08ab36f2b5">GpuProgramParametersSharedPtr</a> &amp;params, <a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *defaultParams)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when GPU program reference section event raised.  <a href="#a192341794a44b9096b891b676be06b35"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer_1_1Listener.html#a6d101b60cbb7b19a25ae7bf030552b1a">textureUnitStateEventRaised</a> (<a class="el" href="classOgre_1_1MaterialSerializer.html">MaterialSerializer</a> *ser, <a class="el" href="classOgre_1_1MaterialSerializer.html#a237c1a8b1e58e28c793e1c3febc86d4b">SerializeEvent</a> event, bool &amp;skip, const <a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *textureUnit)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when texture unit state section event raised.  <a href="#a6d101b60cbb7b19a25ae7bf030552b1a"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class that allows listening in on the various stages of material serialization process. </p>
<p>Sub-classing it enable extending the attribute set of any part in the material. </p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00121">121</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a13e6cb61dc6c4c5663de032e8d027551"></a><!-- doxytag: member="Ogre::MaterialSerializer::Listener::~Listener" ref="a13e6cb61dc6c4c5663de032e8d027551" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MaterialSerializer_1_1Listener.html#a13e6cb61dc6c4c5663de032e8d027551">Ogre::MaterialSerializer::Listener::~Listener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00124">124</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a192341794a44b9096b891b676be06b35"></a><!-- doxytag: member="Ogre::MaterialSerializer::Listener::gpuProgramRefEventRaised" ref="a192341794a44b9096b891b676be06b35" args="(MaterialSerializer *ser, SerializeEvent event, bool &amp;skip, const String &amp;attrib, const GpuProgramPtr &amp;program, const GpuProgramParametersSharedPtr &amp;params, GpuProgramParameters *defaultParams)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1MaterialSerializer_1_1Listener.html#a192341794a44b9096b891b676be06b35">Ogre::MaterialSerializer::Listener::gpuProgramRefEventRaised</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialSerializer.html">MaterialSerializer</a> *&#160;</td>
          <td class="paramname"><em>ser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialSerializer.html#a237c1a8b1e58e28c793e1c3febc86d4b">SerializeEvent</a>&#160;</td>
          <td class="paramname"><em>event</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>skip</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>attrib</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>program</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__Materials.html#gaebab7cecf3f3ae81a1fbfa08ab36f2b5">GpuProgramParametersSharedPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>params</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *&#160;</td>
          <td class="paramname"><em>defaultParams</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when GPU program reference section event raised. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ser</td><td>The <a class="el" href="classOgre_1_1MaterialSerializer.html" title="Class for serializing Materials to / from a .material script.">MaterialSerializer</a> instance that writes the given material. </td></tr>
    <tr><td class="paramname">stage</td><td>The current section writing stage. </td></tr>
    <tr><td class="paramname">skip</td><td>May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE. </td></tr>
    <tr><td class="paramname">attrib</td><td>The GPU program reference description (vertex_program_ref, fragment_program_ref, etc). </td></tr>
    <tr><td class="paramname">program</td><td>The program being written. </td></tr>
    <tr><td class="paramname">params</td><td>The program parameters. </td></tr>
    <tr><td class="paramname">defaultParams</td><td>The default program parameters. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00169">169</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a12692ae5f00a3012d83342ab7539dadd"></a><!-- doxytag: member="Ogre::MaterialSerializer::Listener::materialEventRaised" ref="a12692ae5f00a3012d83342ab7539dadd" args="(MaterialSerializer *ser, SerializeEvent event, bool &amp;skip, const Material *mat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1MaterialSerializer_1_1Listener.html#a12692ae5f00a3012d83342ab7539dadd">Ogre::MaterialSerializer::Listener::materialEventRaised</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialSerializer.html">MaterialSerializer</a> *&#160;</td>
          <td class="paramname"><em>ser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialSerializer.html#a237c1a8b1e58e28c793e1c3febc86d4b">SerializeEvent</a>&#160;</td>
          <td class="paramname"><em>event</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>skip</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Material.html">Material</a> *&#160;</td>
          <td class="paramname"><em>mat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when material section event raised. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ser</td><td>The <a class="el" href="classOgre_1_1MaterialSerializer.html" title="Class for serializing Materials to / from a .material script.">MaterialSerializer</a> instance that writes the given material. </td></tr>
    <tr><td class="paramname">stage</td><td>The current section writing stage. </td></tr>
    <tr><td class="paramname">skip</td><td>May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE. </td></tr>
    <tr><td class="paramname">mat</td><td>The material that is being written. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="group__RTShader.html#ga0c4d6065a7366a2c7cec871582b59662">Ogre::RTShader::SGMaterialSerializerListener</a>.</p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00133">133</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a22fbc4529e17ce36172a890868973d6c"></a><!-- doxytag: member="Ogre::MaterialSerializer::Listener::passEventRaised" ref="a22fbc4529e17ce36172a890868973d6c" args="(MaterialSerializer *ser, SerializeEvent event, bool &amp;skip, const Pass *pass)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1MaterialSerializer_1_1Listener.html#a22fbc4529e17ce36172a890868973d6c">Ogre::MaterialSerializer::Listener::passEventRaised</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialSerializer.html">MaterialSerializer</a> *&#160;</td>
          <td class="paramname"><em>ser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialSerializer.html#a237c1a8b1e58e28c793e1c3febc86d4b">SerializeEvent</a>&#160;</td>
          <td class="paramname"><em>event</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>skip</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *&#160;</td>
          <td class="paramname"><em>pass</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when pass section event raised. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ser</td><td>The <a class="el" href="classOgre_1_1MaterialSerializer.html" title="Class for serializing Materials to / from a .material script.">MaterialSerializer</a> instance that writes the given material. </td></tr>
    <tr><td class="paramname">stage</td><td>The current section writing stage. </td></tr>
    <tr><td class="paramname">skip</td><td>May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE. </td></tr>
    <tr><td class="paramname">pass</td><td>The pass that is being written. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="group__RTShader.html#gae7cd570f009ae6daa1436bb3a1b93b1c">Ogre::RTShader::SGMaterialSerializerListener</a>.</p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00155">155</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae25d7325accb65561cab814d2731530f"></a><!-- doxytag: member="Ogre::MaterialSerializer::Listener::techniqueEventRaised" ref="ae25d7325accb65561cab814d2731530f" args="(MaterialSerializer *ser, SerializeEvent event, bool &amp;skip, const Technique *tech)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1MaterialSerializer_1_1Listener.html#ae25d7325accb65561cab814d2731530f">Ogre::MaterialSerializer::Listener::techniqueEventRaised</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialSerializer.html">MaterialSerializer</a> *&#160;</td>
          <td class="paramname"><em>ser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialSerializer.html#a237c1a8b1e58e28c793e1c3febc86d4b">SerializeEvent</a>&#160;</td>
          <td class="paramname"><em>event</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>skip</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td>
          <td class="paramname"><em>tech</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when technique section event raised. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ser</td><td>The <a class="el" href="classOgre_1_1MaterialSerializer.html" title="Class for serializing Materials to / from a .material script.">MaterialSerializer</a> instance that writes the given material. </td></tr>
    <tr><td class="paramname">stage</td><td>The current section writing stage. </td></tr>
    <tr><td class="paramname">skip</td><td>May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE. </td></tr>
    <tr><td class="paramname">tech</td><td>The technique that is being written. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="group__RTShader.html#gae69f34379ca56e44da81e6bb94e569d2">Ogre::RTShader::SGMaterialSerializerListener</a>.</p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00144">144</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6d101b60cbb7b19a25ae7bf030552b1a"></a><!-- doxytag: member="Ogre::MaterialSerializer::Listener::textureUnitStateEventRaised" ref="a6d101b60cbb7b19a25ae7bf030552b1a" args="(MaterialSerializer *ser, SerializeEvent event, bool &amp;skip, const TextureUnitState *textureUnit)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1MaterialSerializer_1_1Listener.html#a6d101b60cbb7b19a25ae7bf030552b1a">Ogre::MaterialSerializer::Listener::textureUnitStateEventRaised</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialSerializer.html">MaterialSerializer</a> *&#160;</td>
          <td class="paramname"><em>ser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialSerializer.html#a237c1a8b1e58e28c793e1c3febc86d4b">SerializeEvent</a>&#160;</td>
          <td class="paramname"><em>event</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>skip</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&#160;</td>
          <td class="paramname"><em>textureUnit</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when texture unit state section event raised. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ser</td><td>The <a class="el" href="classOgre_1_1MaterialSerializer.html" title="Class for serializing Materials to / from a .material script.">MaterialSerializer</a> instance that writes the given material. </td></tr>
    <tr><td class="paramname">stage</td><td>The current section writing stage. </td></tr>
    <tr><td class="paramname">skip</td><td>May set to true by sub-class instances in order to skip the following section write. This parameter relevant only when stage equals MSE_PRE_WRITE. </td></tr>
    <tr><td class="paramname">textureUnit</td><td>The texture unit state that is being written. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="group__RTShader.html#gaf51bcbc1062b97a10c74ea7e70dec651">Ogre::RTShader::SGMaterialSerializerListener</a>.</p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h_source.html#l00192">192</a> of file <a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
